#include <bits/stdc++.h>

using namespace std;
long long tich(int n)
{if (n==0){return 1;}
else return (2*n+1)*tich(n-1);
}
long long tong(int n)
{if (n==0){return 1;}
else return (2*n+1)+tong(n-1);
}
int main() {
	ifstream f1("DQPS.INP");
	ofstream f2("DQPS.OUT");
	int n;
	f1>>n;
	f2<<tich(n)<<endl<<tong(n);
	return 0;
}
